%define name lout
%define version 3.24
%define release 1mdk

Summary: The Lout document formatting language.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Text tools
Source: %{name}-%{version}.tar.bz2
Patch: lout-makefile.patch.bz2
#Patch0: %{name}-3.08-make.patch.bz2
#Patch1: %{name}-3.08-nobr.patch.bz2
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Lout is a high-level language for document formatting.  Lout reads a
high-level description of a document (similar in style to LaTeX) and can
produce a PostScript(TM) file for printing or produce plain text.
Lout supports the typesetting of documents which contain floating
figures, table, diagrams, rotated and scaled text or graphics, footnotes,
running headers, footers, an index, a table of contents and bibliography,
cross-references, mathematical equations and statistical graphs.  Lout can
be extended with definitions that should be easier to write than other
languages, since Lout is a high-level language.  Lout supports (with
hyphenation) a variety of languages:  Czech, Danish, Dutch, English,
Finnish, French, German, Norwegian, Russian, Slovenian, Spanish and
Swedish.

Install the lout package if you'd like to try the Lout document formatting
system.  Unless you're already a Lout expert, you'll probably want to also
install the lout-doc package, which contains the documentation for Lout.

%package doc
Summary: The documentation for the Lout document formatting language.
Group: Text tools

%description doc
The lout-doc package includes all of the documentation for the Lout
document formatting language.  The documentation includes manuals for
regular users and for experts, written in Lout and available as
PostScript(TM) files.  The documentation provides good examples for how to
write large documents with Lout.

If you're installing the lout package, you should install the lout-doc
package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
%patch0 -p1
#%patch1 -p1 -b .nobr

%build
%ifarch sparc
make RPM_OPT_FLAGS="" lout prg2lout
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" lout prg2lout
%endif

%install
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{bin,doc,lib,man/man1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/

make DESTDIR=$RPM_BUILD_ROOT DATADIR=%{_datadir} install installman installdoc

for i in user slides expert design; do
    chmod 755 $RPM_BUILD_ROOT/usr/doc/lout/$i
done

#moves the man page
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT%{_datadir}

#%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc blurb README maillist whatsnew notes.dsc
%{_bindir}/lout
%{_mandir}/man1/*
%{_bindir}/prg2lout
%{_libdir}/lout

%files doc
%defattr(-,root,root)
%doc doc/

%changelog
* Fri Nov 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.24-1mdk
- updated to 3.24
- merge patches
- remove useless manual stripping
- add more macros
- clean spec

* Thu Aug 31 2000 Etienne Faure <etienne@mandrakesoft.com> 3.08-11mdk
- rebuild with %doc and _mandir macros

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.08-10mdk
- fix group
- fix files section

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- no more gcc on sparc, so don't optimize instead (same egcs bug?)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root
- use gcc on sparc to avoid egcs bug

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
